<!DOCTYPE html >
<ui:composition template="/laytou_base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:jsf="http://xmlns.jcp.org/jsf"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:c="http://java.sun.com/jsp/jstl/core">

	<ui:define name="page_title">
		Lista de Compras
	</ui:define>

	<ui:define name="content">
		<div class="row">
			<div class="col-md-12">
				<div class="card card-wizard" id="wizardCard">
					<h:form id="wizardForm" prependId="false">
						<div class="card-header text-center">
							<h4 class="card-title">Lista de Compras</h4>
							<p class="category">Monte sua lista de compras e compare
								preços em vários estabelecimentos</p>
						</div>
						<div class="card-content">
							<ul class="nav nav-pills">
								<li class="active" style="width: 33.3333%;"><a href="#tab1"
									data-toggle="tab" aria-expanded="true">Produtos</a></li>
								<li style="width: 33.3333%;"><a href="#tab2"
									data-toggle="tab">Estabelecimentos</a></li>
								<li style="width: 33.3333%;"><a href="#tab3"
									data-toggle="tab">Comparar</a></li>
							</ul>
							<div class="tab-content">
								<div class="tab-pane active" id="tab1">
									<h5 class="text-center">Selecione os produtos</h5>
									<div class="row">
										<div class="col-md-10 col-md-offset-1">
											<div class="form-group">
												<label class="control-label"> Descrição Lista de Compras<star>*</star></label>
												<h:inputText id="lista-descricao" styleClass="form-control" value="#{listaComprasBean.strListaDescricao}"/>
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col-md-6 col-md-offset-1">
											<label class="control-label"> Produtos<star>*</star></label>
											<div class="input-group">
												<h:selectOneMenu value="#{listaComprasBean.strProduto}" id="prods"> 										
													<f:selectItems value="#{produtosBean.produtosAll()}"  var="item" itemLabel="#{item}" itemValue="#{item}" />										
			 									</h:selectOneMenu>
												<span class="input-group-btn">
													<h:commandButton action="#{listaComprasBean.adicionarProdutoLista()}" value="Adicionar" 
														styleClass="btn btn-sm btn-fill">
														<f:ajax execute=":prods" render=":listacompra-produtos"></f:ajax>
													</h:commandButton>
												</span>
											</div>
										</div>
<!-- 										<div class="col-md-2"> -->
<!-- 											<div class="form-group"> -->
<!-- 												<label class="control-label"> Quantidade<star>*</star></label> -->
<!-- 												<input type="text" class="form-control" jsf:id="qtd" jsf:value="#{listaComprasBean.strQuantidade}"/>												 -->
<!-- 											</div> -->
<!-- 										</div> -->

									</div>
									<div class="row">
										<div class="col-md-10 col-md-offset-1">
											<div class="fresh-datatables">
												<h:dataTable value="#{listaComprasBean.listaCompraProdutos}" var="item"
													styleClass="table table-striped table-no-bordered table-hover"
													cellspacing="0" width="100%" style="width: 100%"
													id="listacompra-produtos">
													<h:column>
														<f:facet name="header">
															<h:outputText value="Produto" />
														</f:facet>
														<h:outputText value="#{item.descricao}" />
													</h:column>
<!-- 													<h:column> -->
<!-- 														<f:facet name="header"> -->
<!-- 															<h:outputText value="Quantidade:" /> -->
<!-- 														</f:facet> -->
<!-- 														<h:outputText value="#{item.qtd}" /> -->
<!-- 													</h:column> -->
													<h:column>
														<f:facet name="header">
															<h:outputText value="Ação" />
														</f:facet>
														<h:commandButton action="#{listaComprasBean.removeProdutoLista(item)}" value="Del" rel="tooltip" title="Remover" 
															styleClass="btn btn-simple btn-danger btn-icon remove">
															<f:ajax render=":listacompra-produtos"/>
														</h:commandButton>													
													</h:column>
												</h:dataTable>
											</div>
										</div>										
									</div>									
								</div>
								<div class="tab-pane" id="tab2">
									<h5 class="text-center">Selecione os estabelecimentos para comparar preço.</h5>
									<div class="row">
										<div class="col-md-8 col-md-offset-1">
											<div class="form-group">
												<label class="control-label">Estabelecimento<star>*</star></label>
												<h:inputText id="listacompras-estabelecimentos" pt:data-provide="typeahead" styleClass="form-control" value="#{listaComprasBean.strEstabelecimento}"/>
											</div>
										</div>
										<div class="col-md-2">
											<div class="form-group">
												<label class="control-label"> </label>
												<h:commandButton action="#{listaComprasBean.adicionarEstabelecimentoLista()}" value="Adicionar" styleClass="btn btn-primary btn-fill btn-wd">
													<f:ajax execute=":listacompras-estabelecimentos" render=":listacompras-estabelecimentos :listcompra-table-estabelecimentos"></f:ajax>
												</h:commandButton>
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col-md-10 col-md-offset-1">
											<div class="fresh-datatables">
												<h:dataTable value="#{listaComprasBean.listaCompraEstabelecimento}" var="item"
													styleClass="table table-striped table-no-bordered table-hover"
													cellspacing="0" width="100%" style="width: 100%"
													id="listcompra-table-estabelecimentos">
													<h:column>
														<f:facet name="header">
															<h:outputText value="Estabelecimento" /> 
														</f:facet>
														<h:outputText value="#{item.razaoSocial}" />
													</h:column>
													<h:column>
														<f:facet name="header">
															<h:outputText value="Endereço" />
														</f:facet>
														<h:outputText value="#{item.idEndereco.logradouro}, #{item.idEndereco.numero} - #{item.idEndereco.bairro} - #{item.idEndereco.cep}" />
													</h:column>
													<h:column>
														<f:facet name="header">
															<h:outputText value="Ação" />
														</f:facet>
														<h:commandButton action="#{listaComprasBean.removeEstabelecimentoLista(item)}" value="Del" rel="tooltip" title="Remover" styleClass="btn btn-simple btn-danger btn-icon remove">
															<f:ajax render=":listcompra-table-estabelecimentos"/>
														</h:commandButton>													
													</h:column>
												</h:dataTable>
											</div>
										</div>										
									</div>
								</div>
								<div class="tab-pane" id="tab3">
									<div>
										<h2 class="text-center text-space">
										<h:commandButton action="#{listaComprasBean.compararListaCompras}" value="Gerar Lista" styleClass="btn btn-primary btn-fill btn-wd"										 		>
											<f:ajax render=":listcompra-table-estabelecimentos-comparativo"></f:ajax>
										</h:commandButton>
										<br />
										<small>Click em "<b>Gerar Lista</b>" para comparar</small>										
									</h2>
									</div>
									<div class="row">
										<div class="col-md-10 col-md-offset-1">
											<div class="fresh-datatables">
												<h:dataTable value="#{listaComprasBean.listaCompraProdutos}" var="item"
													styleClass="table table-striped table-no-bordered table-hover"
													cellspacing="0" width="100%" style="width: 100%"
													id="listcompra-table-estabelecimentos-comparativo">
													<h:column>
														<f:facet name="header">
															<h:outputText value="Produto" /> 
														</f:facet>
														<h:outputText value="#{item.descricao}" />
													</h:column>
													<c:forEach items="#{listaComprasBean.listaCompraEstabelecimento}" var="estab">
														<h:column>
															<f:facet name="header">
																<h:outputText value="#{estab.razaoSocial}" /> 
															</f:facet>															
															<div>
					                                            <p class="category" jsf:rendered="#{listaComprasBean.getProdutoPorEstabelecimento(item,estab).existeNaListaCompra}"><small>#{listaComprasBean.getProdutoPorEstabelecimento(item,estab).dtCompra}</small></p>
					                                            <h:outputText value="R$ #{listaComprasBean.getProdutoPorEstabelecimento(item,estab).existeNaListaCompra?listaComprasBean.getProdutoPorEstabelecimento(item,estab).vlProduto:' - '} " />
					                                        </div>
														</h:column>
													</c:forEach>
												</h:dataTable>
											</div>
										</div>										
									</div>									
								</div>
							</div>
						</div>
						<div class="card-footer">
							<button type="button" class="btn btn-default btn-fill btn-wd btn-back pull-left">Voltar</button>
							<button type="button" class="btn btn-info btn-fill btn-wd btn-next pull-right">Avançar</button>
							<h:link outcome="lista-compras" value="Finalizar" styleClass="btn btn-info btn-fill btn-wd btn-finish pull-right"/>
							<div class="clearfix"></div>
						</div>
<!-- 						<div class="row"> -->
<!-- 							<div class="col-md-6 col-md-offset-1"> -->
<!-- 								<div class="form-group"> -->
<!-- 									<label class="control-label">Minhas Lista de Compras</label> -->
<!-- 									<h:selectOneMenu value="#{listaComprasBean.listaDeCompra}" -->
<!-- 										styleClass="selectpicker" -->
<!-- 										title="Selecione uma Lista de Compra"> -->
<!-- 										<f:selectItems value="#{listaComprasBean.minhasListas}" -->
<!-- 											var="item" itemLabel="#{item.txListaDescricao}" -->
<!-- 											itemValue="#{item}" /> -->
<!-- 									</h:selectOneMenu> -->
<!-- 								</div> -->
<!-- 							</div> -->
<!-- 							<div class="col-md-2"> -->
<!-- 								<div class="form-group"> -->
<!-- 									<label class="control-label"> </label> -->
<!-- 									<h:commandButton -->
<!-- 										action="#{listaComprasBean.visualizarListaDeCompras}" -->
<!-- 										value="Visualizar" -->
<!-- 										styleClass="btn btn-primary btn-fill btn-wd"> -->
<!-- 									</h:commandButton> -->
<!-- 								</div> -->
<!-- 							</div> -->
<!-- 							<div class="col-md-2"> -->
<!-- 								<div class="form-group"> -->
<!-- 									<label class="control-label"> </label> -->
<!-- 									<h:commandButton -->
<!-- 										action="#{listaComprasBean.removerListaDeCompras}" -->
<!-- 										value="Remover" styleClass="btn btn-primary btn-fill btn-wd"> -->
<!-- 									</h:commandButton> -->
<!-- 								</div> -->
<!-- 							</div> -->
<!-- 						</div> -->
					</h:form>
				</div>
			</div>
		</div>
		<h:outputScript>
        		$(document).ready(function() {
        			$('#prods').selectize({
					    sortField: 'text'					    
					});
        			
<!--         			$.get("/rest/service/produtos", function(data){ -->
<!-- 		  				$("#produtos").typeahead({ source:data });		   -->
<!-- 					},'json'); -->
				
				$.get("/rest/service/estabcomendereco", function(data){
		  			$("#listacompras-estabelecimentos").typeahead({ source:data });
				},'json');
			});
        </h:outputScript>
	</ui:define>
</ui:composition>